USE ZamowieniaZmiana;
GO

CREATE PROCEDURE R15_korekta_cen_detalicznych_akcesoriow
AS
UPDATE Produkty SET CenaDetaliczna = ROUND(1.35 * 
(SELECT DISTINCT CenaHurtowa FROM Dostawcy_produktow 
WHERE Dostawcy_produktow.NumerProduktu = Produkty.NumerProduktu 
AND CenaHurtowa = (SELECT max(CenaHurtowa) FROM Dostawcy_produktow WHERE Dostawcy_produktow.NumerProduktu = Produkty.NumerProduktu)), 0)
WHERE CenaDetaliczna < 1.35 * 
(SELECT DISTINCT CenaHurtowa FROM Dostawcy_produktow 
WHERE Dostawcy_produktow.NumerProduktu = Produkty.NumerProduktu 
AND CenaHurtowa = (SELECT max(CenaHurtowa) FROM Dostawcy_produktow WHERE Dostawcy_produktow.NumerProduktu = Produkty.NumerProduktu)) AND IDKategorii = 1 ;
GO

CREATE VIEW R15_korekta_cen_detalicznych_akcesoriow_zapytanie
AS
SELECT CenaDetaliczna, ROUND(1.35 * 
(SELECT DISTINCT CenaHurtowa FROM Dostawcy_produktow 
WHERE Dostawcy_produktow.NumerProduktu = Produkty.NumerProduktu 
AND CenaHurtowa = (SELECT max(CenaHurtowa) FROM Dostawcy_produktow WHERE Dostawcy_produktow.NumerProduktu = Produkty.NumerProduktu)), 0) As ZaktualizowanaCena
FROM Produkty
WHERE CenaDetaliczna < 1.35 * 
(SELECT DISTINCT CenaHurtowa FROM Dostawcy_produktow 
WHERE Dostawcy_produktow.NumerProduktu = Produkty.NumerProduktu 
AND CenaHurtowa = (SELECT max(CenaHurtowa) FROM Dostawcy_produktow WHERE Dostawcy_produktow.NumerProduktu = Produkty.NumerProduktu)) AND IDKategorii = 1 ;
GO

CREATE PROCEDURE R15_korekta_cen_detalicznych_rowerow
AS
UPDATE Produkty SET CenaDetaliczna = ROUND(1.45 * 
(SELECT DISTINCT CenaHurtowa FROM Dostawcy_produktow 
WHERE Dostawcy_produktow.NumerProduktu = Produkty.NumerProduktu 
AND CenaHurtowa = (SELECT min(CenaHurtowa) FROM Dostawcy_produktow WHERE Dostawcy_produktow.NumerProduktu = Produkty.NumerProduktu)), 0)
WHERE CenaDetaliczna < 1.45 * 
(SELECT DISTINCT CenaHurtowa FROM Dostawcy_produktow 
WHERE Dostawcy_produktow.NumerProduktu = Produkty.NumerProduktu 
AND CenaHurtowa = (SELECT min(CenaHurtowa) FROM Dostawcy_produktow WHERE Dostawcy_produktow.NumerProduktu = Produkty.NumerProduktu)) AND IDKategorii = 2 ;
GO

CREATE VIEW R15_korekta_cen_detalicznych_rowerow_zapytanie
AS
SELECT NumerProduktu, NazwaProduktu, CenaDetaliczna, ROUND(1.45 * 
(SELECT DISTINCT CenaHurtowa FROM Dostawcy_produktow 
WHERE Dostawcy_produktow.NumerProduktu = Produkty.NumerProduktu 
AND CenaHurtowa = (SELECT min(CenaHurtowa) FROM Dostawcy_produktow WHERE Dostawcy_produktow.NumerProduktu = Produkty.NumerProduktu)), 0) As ZaktualizowanaCena
FROM Produkty 
WHERE CenaDetaliczna < 1.45 * 
(SELECT DISTINCT CenaHurtowa FROM Dostawcy_produktow 
WHERE Dostawcy_produktow.NumerProduktu = Produkty.NumerProduktu 
AND CenaHurtowa = (SELECT min(CenaHurtowa) FROM Dostawcy_produktow WHERE Dostawcy_produktow.NumerProduktu = Produkty.NumerProduktu)) AND IDKategorii = 2 ;
GO

CREATE PROCEDURE R15_korekta_cen_pozno_wyslanych_zamowien
AS 
UPDATE    Dane_zamowien
SET              CenaZakupu = ROUND(CenaZakupu * 0.98, 2)
WHERE     (NumerZamowienia IN
                          (SELECT     Zamowienia.NumerZamowienia
                            FROM          Zamowienia
                            WHERE      DateDiff(d, Zamowienia.DataZamowienia, Zamowienia.DataWysylki) > 30));
GO

CREATE VIEW R15_korekta_cen_pozno_wyslanych_zamowien_zapytanie
AS 
SELECT NumerZamowienia, NumerProduktu, CenaZakupu, ROUND(CenaZakupu * 0.98, 2) As ZaktualizowanaCena
FROM Dane_zamowien
WHERE     (NumerZamowienia IN
                          (SELECT     Zamowienia.NumerZamowienia
                            FROM          Zamowienia
                            WHERE      DateDiff(d, Zamowienia.DataZamowienia, Zamowienia.DataWysylki) > 30));
GO

CREATE PROCEDURE R15_znizka_dla_dobrych_klientow_z_pazdziernika
AS 
UPDATE    Dane_zamowien
SET              CenaZakupu = ROUND(CenaZakupu * .95, 2)
WHERE     (NumerZamowienia IN
                          (SELECT     Zamowienia.NumerZamowienia
                            FROM          Zamowienia
                            WHERE      Zamowienia.IDKlienta IN
                                                       (SELECT     O2.IDKlienta
                                                         FROM          Zamowienia AS O2 INNER JOIN
                                                                                Dane_zamowien ON O2.NumerZamowienia = Dane_zamowien.NumerZamowienia
                                                         WHERE      O2.DataZamowienia BETWEEN '10/1/2012' AND '10/31/2012'
                                                         GROUP BY O2.IDKlienta
                                                         HAVING      SUM(Dane_zamowien.CenaZakupu * Dane_zamowien.ZamowionaIlosc) > 50000)));
GO

CREATE VIEW R15_znizka_dla_dobrych_klientow_z_pazdziernika_zapytanie
AS 
SELECT CenaZakupu, ROUND(CenaZakupu * .95, 2) As ZaktualizowanaCena
FROM Dane_zamowien
WHERE     (NumerZamowienia IN
                          (SELECT     Zamowienia.NumerZamowienia
                            FROM          Zamowienia
                            WHERE      Zamowienia.IDKlienta IN
                                                       (SELECT     O2.IDKlienta
                                                         FROM          Zamowienia AS O2 INNER JOIN
                                                                                Dane_zamowien ON O2.NumerZamowienia = Dane_zamowien.NumerZamowienia
                                                         WHERE      O2.DataZamowienia BETWEEN '10/1/2012' AND '10/31/2012'
                                                         GROUP BY O2.IDKlienta
                                                         HAVING      SUM(Dane_zamowien.CenaZakupu * Dane_zamowien.ZamowionaIlosc) > 50000)));
GO

CREATE PROCEDURE R15_aktualizacja_calkowitej_wartosci_zamowien_podzapytanie
AS 
UPDATE    Zamowienia
SET              WartoscCalkowita =
                          (SELECT     SUM(Dane_zamowien.ZamowionaIlosc * Dane_zamowien.CenaZakupu)
                            FROM          Dane_zamowien
                            WHERE      Dane_zamowien.NumerZamowienia = Zamowienia.NumerZamowienia);
GO

CREATE VIEW R15_aktualizacja_calk_wartosci_zamowien_podzapytanie_zapytanie
AS 
SELECT WartoscCalkowita, (SELECT     SUM(Dane_zamowien.ZamowionaIlosc * Dane_zamowien.CenaZakupu)
               FROM          Dane_zamowien
               WHERE      Dane_zamowien.NumerZamowienia = Zamowienia.NumerZamowienia) As NowaWartoscCalk
FROM Zamowienia ;
GO

CREATE PROCEDURE R16_dodaj_klienta
AS 
INSERT INTO Klienci
                      (ImieKlienta, NazwiskoKlienta, AdresKlienta, MiastoKlienta, StanZamKlienta, KodPocztowyKlienta, NumKierKlienta, TelefonKlienta)
VALUES     ('Mary', 'Baker', '7834 W 32nd Ct', 'Bothell', 'WA', '98011', 425, '555-9876');
GO

CREATE VIEW R16_dodaj_klienta_zapytanie
AS
SELECT 'Mary' As ImieKlienta, 'Baker' As NazwiskoKlienta, '7834 W 32nd Ct' As AdresKlienta, 'Bothell' As MiastoKlienta, 'WA' As CUstState, '98011' As KodPocztowyKlienta, 425 As NumKierKlienta, '555-9876' As TelefonKlienta
FROM Klienci
WHERE IDKlienta = 1001;
GO

CREATE PROCEDURE R16_dodaj_pracownika
AS 
INSERT INTO Pracownicy
                      (ImiePracownika, NazwiskoPracownika, AdresPracownika, MiastoPracownika, StanZamPracownika, KodPocztowyPracownika, NumKierunkPracownika, TelefonPracownika)
VALUES     ('Susan', 'Metters', '16547 NE 132nd St', 'Woodinville', 'WA', '98072', 425, '555-7825');
GO

CREATE VIEW R16_dodaj_pracownika_zapytanie
AS
SELECT 'Susan' As ImiePracownika, 'Metters' As NazwiskoPracownika, '16547 NE 132nd St' As AdresPracownika, 'Woodinville' As MiastoPracownika, 'WA' As StanZamPracownika, '98072' As KodPocztowyPracownika, 425 As NumKierunkPracownika, '555-7825' As TelefonPracownika
FROM Pracownicy
WHERE IDPracownika = 701;
GO

CREATE PROCEDURE R16_dodaj_produkt
AS 
INSERT INTO Produkty ( NazwaProduktu, CenaDetaliczna, IDKategorii )
SELECT 'Hot Dog Spinner', 895, IDKategorii
FROM Kategorie WHERE
OpisKategorii = 'Rowery';
GO

CREATE VIEW R16_dodaj_produkt_zapytanie
AS 
SELECT 'Hot Dog Spinner' As NazwaProduktu, 895 As CenaDetaliczna, IDKategorii
FROM Kategorie WHERE
OpisKategorii = 'Rowery';
GO

CREATE PROCEDURE R16_dodaj_dostawce
AS 
INSERT INTO Dostawcy
                      (NazwaDostawcy, AdresDostawcy, MiastoDostawcy, StanSiedzDostawcy, KodPocztowyDostawcy, TelefonDostawcy, FaxDostawcy, StronaInterDostawcy, EmailDostawcy)
VALUES     ('Hot Dog Rowery', '1234 Main Street', 'Chicago', 'IL', '60620', '(773) 555-6543', '(773) 555-6542', 'http://www.hotdogbikes.com/', 
                      'Sales@hotdogbikes.com');
GO

CREATE VIEW R16_dodaj_dostawce_zapytanie
AS
SELECT 'Hot Dog Rowery' As NazwaDostawcy, '1234 Main Street' As AdresDostawcy, 'Chicago' As MiastoDostawcy, 'IL' As StanSiedzDostawcy, '60620' As KodPocztowyDostawcy, '(773) 555-6543' As TelefonDostawcy, '(773) 555-6542' As FaxDostawcy, 'http://www.hotdogbikes.com/' As StronaInterDostawcy, 'Sales@hotdogbikes.com' As EmailDostawcy
FROM Dostawcy
WHERE IDDostawcy = 1;
GO

CREATE PROCEDURE R16_zarchiwizuj_dane_zamowien_2012
AS 
INSERT INTO Orders_Details_Archive
SELECT     NumerZamowienia AS NumerZamowienia, NumerProduktu AS NumerProduktu, CenaZakupu AS CenaZakupu, ZamowionaIlosc AS ZamowionaIlosc
FROM         Dane_zamowien
WHERE     (NumerZamowienia IN
                          (SELECT     NumerZamowienia
                            FROM          Zamowienia
                            WHERE      (Zamowienia.DataZamowienia < '1/1/2013')));
GO

CREATE VIEW R16_zarchiwizuj_dane_zamowien_2012_zapytanie
AS 
SELECT     NumerZamowienia AS NumerZamowienia, NumerProduktu AS NumerProduktu, CenaZakupu AS CenaZakupu, ZamowionaIlosc AS ZamowionaIlosc
FROM         Dane_zamowien
WHERE     (NumerZamowienia IN
                          (SELECT     NumerZamowienia
                            FROM          Zamowienia
                            WHERE      (Zamowienia.DataZamowienia < '1/1/2013')));
GO

CREATE PROCEDURE R16_zarchiwizuj_zamowienia_2012
AS 
INSERT INTO Zamowienia_archiwum
SELECT     NumerZamowienia AS NumerZamowienia, DataZamowienia AS DataZamowienia, DataWysylki AS DataWysylki, IDKlienta AS IDKlienta, IDPracownika AS IDPracownika, 
                      WartoscCalkowita AS WartoscCalkowita
FROM         Zamowienia
WHERE     (DataZamowienia < '1/1/2013');
GO

CREATE VIEW R16_zarchiwizuj_zamowienia_2012_zapytanie
AS 
SELECT     NumerZamowienia AS NumerZamowienia, DataZamowienia AS DataZamowienia, DataWysylki AS DataWysylki, IDKlienta AS IDKlienta, IDPracownika AS IDPracownika, 
                      WartoscCalkowita AS WartoscCalkowita
FROM         Zamowienia
WHERE     (DataZamowienia < '1/1/2013');
GO

CREATE PROCEDURE R16_skopiuj_klienta_jako_pracownika
AS 
INSERT INTO Pracownicy
                      (ImiePracownika, NazwiskoPracownika, AdresPracownika, MiastoPracownika, StanZamPracownika, KodPocztowyPracownika, NumKierunkPracownika, TelefonPracownika)
SELECT     ImieKlienta, NazwiskoKlienta, AdresKlienta, MiastoKlienta, StanZamKlienta, KodPocztowyKlienta, NumKierKlienta, TelefonKlienta
FROM         Klienci
WHERE     (ImieKlienta = 'David') AND (NazwiskoKlienta = 'Smith');
GO

CREATE VIEW R16_skopiuj_klienta_jako_pracownika_zapytanie
AS 
SELECT     ImieKlienta, NazwiskoKlienta, AdresKlienta, MiastoKlienta, StanZamKlienta, KodPocztowyKlienta, NumKierKlienta, TelefonKlienta
FROM         Klienci
WHERE     (ImieKlienta = 'David') AND (NazwiskoKlienta = 'Smith');
GO

CREATE PROCEDURE R16_skopiuj_dane_zamowienia_11gru_dla_Keyser
AS 
INSERT INTO Dane_zamowien
                      (NumerZamowienia, NumerProduktu, CenaZakupu, ZamowionaIlosc)
SELECT     NumerZamowienia + 1000 AS NewOrderNo, NumerProduktu, CenaZakupu, ZamowionaIlosc
FROM         Dane_zamowien
WHERE     (NumerZamowienia IN
                          (SELECT     NumerZamowienia
                            FROM          Zamowienia
                            WHERE      DataZamowienia = '12/11/2012' AND IDKlienta =
                                                       (SELECT     IDKlienta
                                                         FROM          Klienci
                                                         WHERE      ImieKlienta = 'Liz' AND NazwiskoKlienta = 'Keyser')));
GO

CREATE VIEW R16_skopiuj_dane_zamowienia_11gru_dla_Keyser_zapytanie
AS
SELECT     NumerZamowienia + 1000 AS NewOrderNo, NumerProduktu, CenaZakupu, ZamowionaIlosc
FROM         Dane_zamowien
WHERE     (NumerZamowienia IN
                          (SELECT     NumerZamowienia
                            FROM          Zamowienia
                            WHERE      DataZamowienia = '12/11/2012' AND IDKlienta =
                                                       (SELECT     IDKlienta
                                                         FROM          Klienci
                                                         WHERE      ImieKlienta = 'Liz' AND NazwiskoKlienta = 'Keyser')));
GO

CREATE PROCEDURE R16_skopiuj_zamowienie_11gru_dla_Keyser
AS 
SET IDENTITY_INSERT Zamowienia ON
INSERT INTO Zamowienia
                      (NumerZamowienia, DataZamowienia, DataWysylki, IDKlienta, IDPracownika, WartoscCalkowita)
SELECT     NumerZamowienia + 1000 AS NewOrderNo, '06/12/2013' AS DataZamowienia, '06/15/2013' AS DataWysylki, IDKlienta, IDPracownika, WartoscCalkowita
FROM         Zamowienia
WHERE     (DataZamowienia = '12/11/2012') AND (IDKlienta =
                          (SELECT     IDKlienta
                            FROM          Klienci
                            WHERE      ImieKlienta = 'Liz' AND NazwiskoKlienta = 'Keyser'));
SET IDENTITY_INSERT Zamowienia OFF
GO

CREATE VIEW R16_skopiuj_zamowienie_11gru_dla_Keyser_zapytanie
AS 
SELECT     NumerZamowienia + 1000 AS NewOrderNo, '06/12/2013' AS DataZamowienia, '06/15/2013' AS DataWysylki, IDKlienta, IDPracownika, WartoscCalkowita
FROM         Zamowienia
WHERE     (DataZamowienia = '12/11/2012') AND (IDKlienta =
                          (SELECT     IDKlienta
                            FROM          Klienci
                            WHERE      ImieKlienta = 'Liz' AND NazwiskoKlienta = 'Keyser'));
GO

CREATE PROCEDURE R16_skopiuj_listopadowe_dane_zam_AKennedy
AS 
INSERT INTO Dane_zamowien
                      (NumerZamowienia, NumerProduktu, CenaZakupu, ZamowionaIlosc)
SELECT     NumerZamowienia + 1000 AS NewOrderNo, NumerProduktu, CenaZakupu, ZamowionaIlosc
FROM         Dane_zamowien
WHERE     (NumerZamowienia IN
                          (SELECT     NumerZamowienia
                            FROM          Zamowienia
                            WHERE      DataZamowienia BETWEEN '11/1/2012' AND '11/30/2012' AND IDKlienta =
                                                       (SELECT     IDKlienta
                                                         FROM          Klienci
                                                         WHERE      ImieKlienta = 'Angel' AND NazwiskoKlienta = 'Kennedy')));
GO

CREATE VIEW R16_skopiuj_listopadowe_dane_zam_AKennedy_zapytanie
AS 
SELECT     NumerZamowienia + 1000 AS NewOrderNo, NumerProduktu, CenaZakupu, ZamowionaIlosc
FROM         Dane_zamowien
WHERE     (NumerZamowienia IN
                          (SELECT     NumerZamowienia
                            FROM          Zamowienia
                            WHERE      DataZamowienia BETWEEN '11/1/2012' AND '11/30/2012' AND IDKlienta =
                                                       (SELECT     IDKlienta
                                                         FROM          Klienci
                                                         WHERE      ImieKlienta = 'Angel' AND NazwiskoKlienta = 'Kennedy')));
GO

CREATE PROCEDURE R16_skopiuj_listopadowe_zam_AKennedy
AS 
SET IDENTITY_INSERT Zamowienia ON
INSERT INTO Zamowienia
                      (NumerZamowienia, DataZamowienia, DataWysylki, IDKlienta, IDPracownika, WartoscCalkowita)
SELECT     NumerZamowienia + 1000 AS NewOrderNo, '06/15/2013' AS DataZamowienia, '06/18/2013' AS DataWysylki, IDKlienta, IDPracownika, WartoscCalkowita
FROM         Zamowienia
WHERE     (DataZamowienia BETWEEN '11/1/2012' AND '11/30/2012') AND (IDKlienta =
                          (SELECT     IDKlienta
                            FROM          Klienci
                            WHERE      ImieKlienta = 'Angel' AND NazwiskoKlienta = 'Kennedy'));
SET IDENTITY_INSERT Zamowienia OFF
GO

CREATE VIEW R16_skopiuj_listopadowe_zam_AKennedy_zapytanie
AS 
SELECT     NumerZamowienia + 1000 AS NewOrderNo, '06/15/2013' AS DataZamowienia, '06/18/2013' AS DataWysylki, IDKlienta, IDPracownika, WartoscCalkowita
FROM         Zamowienia
WHERE     (DataZamowienia BETWEEN '11/1/2012' AND '11/30/2012') AND (IDKlienta =
                          (SELECT     IDKlienta
                            FROM          Klienci
                            WHERE      ImieKlienta = 'Angel' AND NazwiskoKlienta = 'Kennedy'));
GO

CREATE PROCEDURE R17_usun_zarchiw_dane_zamowien_OK
AS 
DELETE FROM Dane_zamowien
WHERE     (NumerZamowienia IN
                          (SELECT     NumerZamowienia
                            FROM          Dane_zamowien_archiwum));
GO

CREATE VIEW R17_usun_zarchiw_dane_zamowien_OK_zapytanie
AS 
SELECT * FROM Dane_zamowien
WHERE     (NumerZamowienia IN
                          (SELECT     NumerZamowienia
                            FROM          Dane_zamowien_archiwum));
GO

CREATE PROCEDURE R17_usun_zarchiw_dane_zamowien_ryzykowne
AS 
DELETE FROM Dane_zamowien
WHERE     (NumerZamowienia IN
                          (SELECT     NumerZamowienia
                            FROM          Zamowienia
                            WHERE      Zamowienia.DataZamowienia < '1/1/2013'));
GO

CREATE VIEW R17_usun_zarchiw_dane_zamowien_ryzykowne_zapytanie
AS 
SELECT * FROM Dane_zamowien
WHERE     (NumerZamowienia IN
                          (SELECT     NumerZamowienia
                            FROM          Zamowienia
                            WHERE      Zamowienia.DataZamowienia < '1/1/2013'));
GO

CREATE PROCEDURE R17_usun_zarchiwizowane_zamowienia_OK
AS 
DELETE FROM Zamowienia
WHERE     (NumerZamowienia IN
                          (SELECT     NumerZamowienia
                            FROM          Zamowienia_archiwum));
GO

CREATE VIEW R17_usun_zarchiwizowane_zamowienia_OK_zapytanie
AS 
SELECT * FROM Zamowienia
WHERE     (NumerZamowienia IN
                          (SELECT     NumerZamowienia
                            FROM          Zamowienia_archiwum));
GO

CREATE PROCEDURE R17_usun_zarchiwizowane_zamowienia_ryzykowne
AS 
DELETE FROM Zamowienia
WHERE     (DataZamowienia < '1/1/2013');
GO

CREATE VIEW R17_usun_zarchiwizowane_zamowienia_ryzykowne_zapytanie
AS 
SELECT * FROM Zamowienia
WHERE     (DataZamowienia < '1/1/2013');
GO

CREATE PROCEDURE R17_usun_kategorie_bez_produktow
AS 
DELETE FROM Kategorie
WHERE     (IDKategorii NOT IN
                          (SELECT     IDKategorii
                            FROM          Produkty));
GO

CREATE VIEW R17_usun_kategorie_bez_produktow_zapytanie
AS 
SELECT * FROM Kategorie
WHERE     (IDKategorii NOT IN
                          (SELECT     IDKategorii
                            FROM          Produkty));
GO

CREATE PROCEDURE R17_usun_klientow_bez_zamowien
AS 
DELETE FROM Klienci
WHERE     (IDKlienta NOT IN
                          (SELECT     IDKlienta
                            FROM          Zamowienia));
GO

CREATE VIEW R17_usun_klientow_bez_zamowien_zapytanie
AS 
SELECT * FROM Klienci
WHERE     (IDKlienta NOT IN
                          (SELECT     IDKlienta
                            FROM          Zamowienia));
GO

CREATE PROCEDURE R17_usun_pracownikow_bez_zamowien
AS 
DELETE FROM Pracownicy
WHERE     (IDPracownika NOT IN
                          (SELECT     IDPracownika
                            FROM          Zamowienia));
GO

CREATE VIEW R17_usun_pracownikow_bez_zamowien_zapytanie
AS 
SELECT * FROM Pracownicy
WHERE     (IDPracownika NOT IN
                          (SELECT     IDPracownika
                            FROM          Zamowienia));
GO

CREATE PROCEDURE R17_usun_nigdy_nie_zamawiane_produkty_1
AS
DELETE 
FROM Dostawcy_produktow
WHERE (Dostawcy_produktow.NumerProduktu Not In (SELECT NumerProduktu FROM Dane_zamowien)) ;
GO

CREATE VIEW R17_usun_nigdy_nie_zamawiane_produkty_1_zapytanie
AS
SELECT * 
FROM Dostawcy_produktow
WHERE (Dostawcy_produktow.NumerProduktu Not In (SELECT NumerProduktu FROM Dane_zamowien)) ;
GO

CREATE PROCEDURE R17_usun_nigdy_nie_zamawiane_produkty_2
AS 
DELETE FROM Produkty
WHERE     (NumerProduktu NOT IN
                          (SELECT     NumerProduktu
                            FROM          Dane_zamowien));
GO

CREATE VIEW R17_usun_nigdy_nie_zamawiane_produkty_2_zapytanie
AS 
SELECT * FROM Produkty
WHERE     (NumerProduktu NOT IN
                          (SELECT     NumerProduktu
                            FROM          Dane_zamowien));
GO

CREATE PROCEDURE R17_usun_dostawcow_bez_produktow
AS 
DELETE FROM Dostawcy
WHERE     (IDDostawcy NOT IN
                          (SELECT     IDDostawcy
                            FROM          Dostawcy_produktow));
GO

CREATE VIEW R17_usun_dostawcow_bez_produktow_zapytanie
AS 
SELECT * FROM Dostawcy
WHERE     (IDDostawcy NOT IN
                          (SELECT     IDDostawcy
                            FROM          Dostawcy_produktow));
GO

CREATE PROCEDURE R17_usun_zerowe_zamowienia_A
AS 
DELETE FROM Zamowienia
WHERE     (WartoscCalkowita = 0);
GO

CREATE VIEW R17_usun_zerowe_zamowienia_A_zapytanie
AS 
SELECT * FROM Zamowienia
WHERE     (WartoscCalkowita = 0);
GO

CREATE PROCEDURE R17_usun_zerowe_zamowienia_B
AS 
DELETE FROM Zamowienia
WHERE     (NumerZamowienia NOT IN
                          (SELECT     NumerZamowienia
                            FROM          Dane_zamowien));
GO

CREATE VIEW R17_usun_zerowe_zamowienia_B_zapytanie
AS 
SELECT * FROM Zamowienia
WHERE     (NumerZamowienia NOT IN
                          (SELECT     NumerZamowienia
                            FROM          Dane_zamowien));
GO



